
Base Distribution - Task # 48071

Work Package # 47023 (Accepted): Global user interface

Status: Resolved Priority: Could have
Author: Aske Ertmann Category:
Created: 2013-05-08 Assigned To: Aske Ertmann
Updated: 2014-11-20 Due date:
Subject: Navigate component
Description

Implement a navigate component aligned to the left side of the viewport. The component contains two main things: a node tree and a
context structure tree. The component is available across multiple modules and will only contain a context structure tree in the
"Content module". The node tree has different filtering/sorting options like node type and sorting by structure or date.
Specification:
    -  Node tree
        -  Collapsible
        -  Filtering select box (multi select with available folder nodes)
        -  Sorting select box (structure, date)
        -  Add/delete button
        -  Node tree
            -  Expand/collapse branches
            -  Drag & drop moving (only when sorted by structure)
    -  Context structure tree
        -  Only available in "Content module" 
        -  Expand/collapse branches
        -  Drag & drop moving
        -  Collapsible
            -  Remember state (like the inspector groups)
    -  Navigate toggle button
        -  Active state when toggled
        -  Toggle with click
    -  Overlays the page (underneath the menu component)
        -  Adds left margin to the body
    -  Toggle animation is slide out/in from left
    -  Position fixed with 100 % height
    -  Content not visible can be viewed by scrolling
    -  Create separate SCSS file for all CSS
    -  Create separate JavaScript file for the component

Subtasks:
Task # 49946: Node tree filtering Resolved
Task # 52789: Expand search field when active Closed
Task # 52790: Prefix remaining dynatree classes (drag'n'drop) New
Task # 52791: Make the node tree collapsible Rejected
Task # 52792: Remember tree state Closed
Task # 52793: Make new position selectable like with paste position Resolved
Task # 52794: Sync context structure tree with node changes Resolved
Task # 52795: Expand parents if current page is nested below initial max depth Resolved
Task # 52796: Only allow creation of allow subtypes of current node/parent node Closed
Task # 52821: Add new / pasting in context structure tree can add child nodes to non co... Closed
Task # 53106: Make the Expand Level of the tree configurable Resolved
Task # 53610: Navigate component breaks when changing a parent node name Resolved
Task # 53582: Node Type Filter: ExtDirect Error Closed
Task # 54080: As a content editor I want to be able to move pages Resolved
Task # 55374: Context structure tree should automatically select newly inserted/pasted ... Closed
Task # 55376: Collapsible node tree Closed

Associated revisions
Revision 10f16a5d - 2013-10-15 14:23 - Aske Ertmann

[FEATURE] Add method to get a node's full length label

Change-Id: Ic356695115b02d7a367dc5b65307d3d3616c92a7
Related: #48071
Reviewed-on: https://review.typo3.org/24400
Reviewed-by: Sebastian Kurfuerst
Tested-by: Sebastian Kurfuerst

Revision c3f95ce5 - 2013-10-15 14:25 - Aske Ertmann

[TASK] Return node label instead of type for fallback label

Change-Id: Ia00a0acefa1e54c1722903385fd6a6e9bac15b06
Related: #48071
Reviewed-on: https://review.typo3.org/24401
Reviewed-by: Sebastian Kurfuerst
Tested-by: Sebastian Kurfuerst

Revision 304143a2 - 2013-10-15 14:46 - Mattias Nilsson

[!!!][TASK] Add navigate component

This adds navigation functionality which includes the
Node tree and Context structure tree.

Change-Id: I393fd01266f95ece643999b4e8e59e3710dc76f5
Resolves: #48071
Resolves: #49946
Reviewed-on: https://review.typo3.org/21828
Reviewed-by: Sebastian Kurfuerst
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Tested-by: Sebastian Kurfuerst

Revision 8f631415 - 2013-12-09 17:18 - Aske Ertmann

[BUGFIX] Remove bottom border of context structure when closed

Change-Id: I66189d49e128dcc07490fd5be747e696f94a689c
Related: #48071
Reviewed-on: https://review.typo3.org/26008
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Reviewed-by: Tim Kandel
Tested-by: Tim Kandel

Revision d261b79f - 2014-02-27 12:35 - Aske Ertmann

[TASK] Improve usability of position menus in navigate component

Makes it possible to select a new position for the new or paste
buttons without having to click twice when using a mouse.

Change-Id: I6f88ce04696d90ebf90c92fc38709fb4641ce29f
Related: #48071
Releases: master, 1.0
Reviewed-on: https://review.typo3.org/27598
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Reviewed-by: Mattias Nilsson
Tested-by: Mattias Nilsson
Reviewed-by: Karsten Dambekalns
Tested-by: Karsten Dambekalns

Revision 1299cec7 - 2014-02-28 22:52 - Aske Ertmann

[TASK] Improve usability of position menus in navigate component

Makes it possible to select a new position for the new or paste
buttons without having to click twice when using a mouse.

Change-Id: I6f88ce04696d90ebf90c92fc38709fb4641ce29f
Related: #48071
Releases: master, 1.0
Reviewed-on: https://review.typo3.org/27891
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann

History
#1 - 2013-06-05 15:59 - Mattias Nilsson
- Status changed from New to Accepted
- Assigned To changed from Rasmus Skjoldan to Mattias Nilsson

#2 - 2013-07-03 08:01 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#3 - 2013-07-03 19:02 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#4 - 2013-07-03 19:53 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#5 - 2013-07-05 16:23 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#6 - 2013-07-06 10:29 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#7 - 2013-07-06 17:07 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#8 - 2013-07-07 10:32 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#9 - 2013-07-07 22:17 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#10 - 2013-07-15 09:18 - Gerrit Code Review
- Estimated time set to 0.00

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#11 - 2013-07-16 23:22 - Aske Ertmann
- Target version set to 1.0 alpha 6

#12 - 2013-08-06 15:45 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#13 - 2013-08-06 18:11 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#14 - 2013-08-13 16:06 - Gerrit Code Review

Patch set 12 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#15 - 2013-08-21 15:54 - Gerrit Code Review

Patch set 13 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#16 - 2013-08-27 07:26 - Gerrit Code Review

Patch set 14 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#17 - 2013-08-28 18:26 - Gerrit Code Review

Patch set 15 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#18 - 2013-08-28 18:28 - Gerrit Code Review

Patch set 16 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#19 - 2013-08-28 19:19 - Gerrit Code Review

Patch set 17 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#20 - 2013-08-30 08:45 - Gerrit Code Review

Patch set 18 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#21 - 2013-09-02 19:03 - Gerrit Code Review

2015-08-04 5/11

https://review.typo3.org/21828
https://review.typo3.org/21828
https://review.typo3.org/21828
https://review.typo3.org/21828
https://review.typo3.org/21828
https://review.typo3.org/21828
https://review.typo3.org/21828
https://review.typo3.org/21828
https://review.typo3.org/21828


Patch set 19 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#22 - 2013-09-20 15:04 - Gerrit Code Review

Patch set 20 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#23 - 2013-09-23 14:10 - Gerrit Code Review

Patch set 21 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#24 - 2013-09-23 15:23 - Gerrit Code Review

Patch set 22 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#25 - 2013-09-23 18:39 - Gerrit Code Review

Patch set 23 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#26 - 2013-09-23 23:34 - Gerrit Code Review

Patch set 24 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#27 - 2013-09-30 21:00 - Gerrit Code Review

Patch set 25 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#28 - 2013-09-30 21:02 - Gerrit Code Review

Patch set 26 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#29 - 2013-09-30 23:58 - Gerrit Code Review

Patch set 27 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#30 - 2013-10-01 09:44 - Gerrit Code Review
Patch set 28 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#31 - 2013-10-01 11:37 - Gerrit Code Review

Patch set 29 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#32 - 2013-10-01 15:43 - Gerrit Code Review

Patch set 30 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#33 - 2013-10-01 17:16 - Gerrit Code Review

Patch set 31 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#34 - 2013-10-01 18:28 - Gerrit Code Review

Patch set 32 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#35 - 2013-10-02 13:09 - Gerrit Code Review

Patch set 33 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#36 - 2013-10-02 13:59 - Gerrit Code Review

Patch set 34 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#37 - 2013-10-03 09:30 - Aske Ertmann
- File navigate.jpg added

#38 - 2013-10-03 11:43 - Gerrit Code Review

Patch set 35 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#39 - 2013-10-03 16:30 - Gerrit Code Review

Patch set 36 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828
#40 - 2013-10-03 16:38 - Gerrit Code Review

Patch set 37 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#41 - 2013-10-03 18:04 - Gerrit Code Review

Patch set 38 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#42 - 2013-10-03 18:22 - Gerrit Code Review

Patch set 39 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#43 - 2013-10-04 12:03 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 40 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#44 - 2013-10-04 13:00 - Gerrit Code Review

Patch set 41 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#45 - 2013-10-04 13:44 - Gerrit Code Review

Patch set 42 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#46 - 2013-10-04 15:36 - Gerrit Code Review

Patch set 43 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#47 - 2013-10-04 23:19 - Gerrit Code Review

Patch set 44 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#48 - 2013-10-05 21:48 - Gerrit Code Review
Patch set 45 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#49 - 2013-10-05 21:52 - Gerrit Code Review

Patch set 46 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#50 - 2013-10-05 23:18 - Gerrit Code Review

Patch set 47 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#51 - 2013-10-06 23:12 - Gerrit Code Review

Patch set 48 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#52 - 2013-10-06 23:30 - Gerrit Code Review

Patch set 49 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#53 - 2013-10-06 23:41 - Gerrit Code Review

Patch set 50 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#54 - 2013-10-07 22:57 - Gerrit Code Review

Patch set 51 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#55 - 2013-10-07 22:58 - Gerrit Code Review

Patch set 52 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#56 - 2013-10-09 22:24 - Aske Ertmann
- Assigned To changed from Mattias Nilsson to Aske Ertmann

#57 - 2013-10-09 23:29 - Gerrit Code Review

Patch set 53 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828
#58 - 2013-10-14 11:53 - Gerrit Code Review

Patch set 54 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#59 - 2013-10-14 13:44 - Gerrit Code Review
- Estimated time set to 0.00

Patch set 55 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#60 - 2013-10-14 13:54 - Gerrit Code Review
- Estimated time set to 0.00

Patch set 56 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#61 - 2013-10-14 13:59 - Gerrit Code Review
- Estimated time set to 0.00

Patch set 57 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#62 - 2013-10-14 21:48 - Gerrit Code Review
- Estimated time set to 0.00

Patch set 58 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#63 - 2013-10-14 22:43 - Gerrit Code Review
- Estimated time set to 0.00

Patch set 59 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828

#64 - 2013-10-14 23:32 - Gerrit Code Review
- Estimated time set to 0.00

Patch set 60 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21828
#65 - 2013-10-15 15:36 - Mattias Nilsson
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
- Estimated time set to 0.00

Applied in changeset commit:304143a2aa0bc8cf475628f74022d02aa5e98b8f.

#66 - 2014-01-27 21:46 - Mattias Nilsson
- Estimated time deleted (0.00)

Files
navigate.jpg 923.7 kB 2013-10-03 Aske Ertmann
